# intro.py
import umachine
import upygame as upg


class Intro():
    def __init__(self):
        #print("INTRO")
        self.x = 30
        self.y = 30
        self.dx = 1
        self.dy = 2
    
    def Run(self,screen,gd):
        eventtype = upg.event.poll()
        if eventtype != upg.NOEVENT and eventtype.type== upg.KEYDOWN:
            gd.speed = 3
            gd.score = 0
            return True
        
        self.x += self.dx
        self.y += self.dy
        if(self.x > 40 or self.x < 5):
            self.dx = -self.dx
        if(self.y > 60 or self.y < 15):
            self.dy = -self.dy
        umachine.draw_text(self.x, self.y,"REXITTO",5)
        umachine.draw_text(0,75,"Press any key",3)
    